# priceList

**Scope required:** product:read

For a complete list of possible response fields see the [PriceList](/developer/api-reference/types/pricelist.md) type.

```graphql
query priceList ($id: ID, $code: String, $format: String) {
  priceList (id: $id, code: $code, format: $format) {
    basePrice
    code
    createdAt
    currencyId
    deprecated
    id
    isVisible
    monthlyBasePrice
    name
    periodMonths
    planId
    priceAdjustmentPercentage
    priceDescription
    productId
    renewalTermMonths
    showPriceAsMonthly
    sku
    trialAllowed
    trialLengthDays
    updatedAt
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [PriceList](/developer/api-reference/types/pricelist.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/pricelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
